#*************************************************************************
#
#   $RCSfile: $
#
#   $Revision: $
#
#   last change: $Author: $ $Date: $
#
#   The Contents of this file are made available subject to the terms of
#   either of the following licenses
#
#          - GNU Lesser General Public License Version 2.1
#          - Sun Industry Standards Source License Version 1.1
#
#   Sun Microsystems Inc., October, 2000
#
#   GNU Lesser General Public License Version 2.1
#   =============================================
#   Copyright 2000 by Sun Microsystems, Inc.
#   901 San Antonio Road, Palo Alto, CA 94303, USA
#
#   This library is free software; you can redistribute it and/or
#   modify it under the terms of the GNU Lesser General Public
#   License version 2.1, as published by the Free Software Foundation.
#
#   This library is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public
#   License along with this library; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston,
#   MA  02111-1307  USA
#
#
#   Sun Industry Standards Source License Version 1.1
#   =================================================
#   The contents of this file are subject to the Sun Industry Standards
#   Source License Version 1.1 (the "License"); You may not use this file
#   except in compliance with the License. You may obtain a copy of the
#   License at http://www.openoffice.org/license.html.
#
#   Software provided under this License is provided on an "AS IS" basis,
#   WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
#   WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
#   MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
#   See the License for the specific provisions governing your rights and
#   obligations concerning the Software.
#
#   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
#
#   Copyright: 2000 by Sun Microsystems, Inc.
#
#   All Rights Reserved.
#
#   Contributor(s): _______________________________________
#
#
#
#*************************************************************************

PRJ=..$/..

PRJNAME=bridges
TARGET=cli_uno
USE_DEFFILE=TRUE
ENABLE_EXCEPTIONS=TRUE

.IF "$(ENABLE_MONO)" != "YES"
dummy:
     @echo "Mono binding disabled - skipping ..."
.ELSE

# --- Settings -----------------------------------------------------

.INCLUDE :  settings.mk
CFLAGS+=$(MONO_CFLAGS)

# --- Files --------------------------------------------------------

ALLTAR : 				\
	$(SHL1TARGETN)			\
	$(BIN)$/cli_uno_bridge.dll

CSFILES= 			\
	assemblyinfo.cs		\
	binaryuno.cs 		\
	bridge.cs 		\
	cli_environment.cs 	\
	managed_proxy.cs 	\
	rtl_ustring.cs 		\
	typeclass.cs		\
	typedescription.cs	\
	uik.cs			\
	uno_proxy.cs

ASSEMBLIES_DIR=$(SOLARVERSION)$/$(INPATH)$/bin$(EXT_UPDMINOR)
$(BIN)$/cli_uno_bridge.dll : $(CSFILES)
	+$(CSC) $(CSCFLAGS)					\
		-target:library					\
		-unsafe						\
		-out:$@						\
		-keyfile:$(BIN)$/cliuno.snk \
		-reference:$(BIN)$/cli_basetypes.dll	\
		-reference:$(BIN)$/cli_uretypes.dll	\
		$(CSFILES)

SLOFILES=                       \
	$(SLO)$/mono_bridge.obj	\
	$(SLO)$/mono_proxy.obj	\
	$(SLO)$/uno_glue.obj

SHL1TARGET=$(TARGET)

SHL1STDLIBS=	            \
	$(CPPULIB)          \
	$(SALLIB)           \
	$(SALHELPERLIB)


SHL1STDLIBS+=$(MONO_LIBS)

# SHL1VERSIONMAP=..$/bridge_exports.map

SHL1IMPLIB=i$(TARGET)
SHL1LIBS=$(SLB)$/$(TARGET).lib
SHL1DEF=$(MISC)$/$(SHL1TARGET).def
DEF1NAME=$(SHL1TARGET)



# --- Targets ------------------------------------------------------

.ENDIF

.INCLUDE :  target.mk

